RestoreRedundancyResults.Status (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.runtime, interface: RestoreRedundancyResults, enum: Status

Package org.apache.geode.management.runtime

# Enum Class RestoreRedundancyResults.Status

java.lang.Object
java.lang.Enum<RestoreRedundancyResults.Status>
org.apache.geode.management.runtime.RestoreRedundancyResults.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<RestoreRedundancyResults.Status>`, `Constable`

Enclosing interface:
  RestoreRedundancyResults

public static enum RestoreRedundancyResults.Status extends Enum<RestoreRedundancyResults.Status>
`SUCCESS` is defined as every included region having fully satisfied redundancy. `FAILURE` is defined as at least one region that is configured to have redundant copies having fewer than its configured number of redundant copies.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILURE`
  `SUCCESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RestoreRedundancyResults.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RestoreRedundancyResults.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final RestoreRedundancyResults.Status SUCCESS

  - ### FAILURE

    public static final RestoreRedundancyResults.Status FAILURE

- ## Method Details

  - ### values

    public static RestoreRedundancyResults.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RestoreRedundancyResults.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null